kind: Deployment
apiVersion: apps/v1
metadata:
  name: pcm-coordinator-rpc-deployment
  namespace: jcce-system
  labels:
    k8s-app: pcm-coordinator-rpc
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: pcm-coordinator-rpc
  template:
    metadata:
      name: pcm-coordinator-rpc
      labels:
        k8s-app: pcm-coordinator-rpc
    spec:
      imagePullSecrets:
        - name: secret_name
      containers:
        - name: pcm-coordinator-rpc
          image: image_name
          resources: {}
          imagePullPolicy: Always
          securityContext:
            privileged: false
            procMount: Default
          ports:
            - containerPort: 80
          volumeMounts: []
      volumes: []
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600

---

apiVersion: v1
kind: Service
metadata:
  namespace: jcce-system
  name: pcm-coordinator-rpc-service
  labels:
    k8s-service: pcm-coordinator-rpc
spec:
  selector:
    k8s-app: pcm-coordinator-rpc
  ports:
    - name: web
      protocol: TCP
      port: 2004
      targetPort: 2004
      nodePort: 32456
  type: NodePort
